<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\ScheduleStudentRel;
use Faker\Factory as Faker;

use App\Models\User;
use App\Models\Role;
use App\Models\Schedule;
use App\Models\Student;
use App\Models\Teacher;
use App\Models\Attendance;

class AttendanceTeacherRelSeeder extends Seeder
{
  /**
   * Run the database seeds.
   */
  public function run(): void
  {
    $teacher = Teacher::find(1);
    $attendance_2 = Attendance::find(2);
    $attendance_3 = Attendance::find(3);

    $teacher->attendances()->attach($attendance_2->id);
    $teacher->attendances()->attach($attendance_3->id);
  }
}
